Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.cpp.gpp
[Groovy] Class GppLibraryCompileSpec

    java.lang.Object
      org.gradle.plugins.cpp.gpp.GppCompileSpec
          org.gradle.plugins.cpp.gpp.GppLibraryCompileSpec

All Implemented Interfaces:
  LibraryCompileSpec

    class GppLibraryCompileSpec
    extends GppCompileSpec

Property Summary
`String` | `installName`

Constructor Summary
`GppLibraryCompileSpec(Binary binary, Compiler compiler, ProjectInternal project)`

Method Summary
`protected String` | `getDefaultOutputFileName()`
`String` | `getInstallName()`

Methods inherited from class GppCompileSpec
args, compile, configure, from, getBaseName, getBuildDependencies, getDefaultOutputFileName, getExtension, getIncludeRoots, getLibs, getName, getOutputFile, getOutputFileName, getSource, getTask, getWorkDir, includes, includes, includes, libs, setBinary, setExtension, setTask, setting, sharedLibrary, source, source

Property Detail

### installName

    String installName

Constructor Detail

### GppLibraryCompileSpec

    GppLibraryCompileSpec(Binary binary, Compiler compiler, ProjectInternal project)

Method Detail

### getDefaultOutputFileName

    @Override
    protected String getDefaultOutputFileName()

### getInstallName

    String getInstallName()

Gradle API 1.1-rc-1